import { OnInit, OnDestroy } from '@angular/core';
import { BaseDynComponent } from '../../../core/base-dyn/base-dyn.component';
import { ButtonComponentInputs } from './button.component.inputs';
export declare class ButtonComponent extends BaseDynComponent implements OnInit, OnDestroy {
    inputs: ButtonComponentInputs;
    buttonType: 'button' | 'reset' | 'submit';
    constructor(config: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setButtonType(): void;
    onClick(): void;
}
